/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "library.h"

Widget
antiright_form(Widget parent_widget)
{
  Widget form=XmCreateForm(parent_widget, "form", 
			   antiright_arguments, antiright_number_arguments);
  XtManageChild(form);
  return(form);
}

void 
antiright_form_widgets(Widget top, 
		       Widget bottom, 
		       Widget left, 
		       Widget right)
{
  if(left != NULL)
    {
      antiright_set(XmNleftAttachment, XmATTACH_WIDGET);
      antiright_set(XmNleftWidget, (XtArgVal)left);
    }
  if(right != NULL)
    {
      antiright_set(XmNrightAttachment, XmATTACH_WIDGET);
      antiright_set(XmNrightWidget, (XtArgVal)right);
    }
  if(top != NULL)
    {
      antiright_set(XmNtopAttachment, XmATTACH_WIDGET);
      antiright_set(XmNtopWidget, (XtArgVal)top);
    }
  if(bottom != NULL)
    {
      antiright_set(XmNbottomAttachment, XmATTACH_WIDGET);
      antiright_set(XmNbottomWidget, (XtArgVal)bottom);
    }
}

void
antiright_form_positions(int top,
			 int bottom,
			 int left,
			 int right)
{
  
  if(left != ANTIRIGHT_NONE)
    {
      antiright_set(XmNleftAttachment, XmATTACH_POSITION);
      antiright_set(XmNleftPosition, left);
    }
  else
    {
      antiright_set(XmNleftAttachment, XmATTACH_NONE);
    }
  
  if(right != ANTIRIGHT_NONE)
    {
      antiright_set(XmNrightAttachment, XmATTACH_POSITION);
      antiright_set(XmNrightPosition, right);
    }
  else
    {
      antiright_set(XmNrightAttachment, XmATTACH_NONE);
    }

  if(bottom != ANTIRIGHT_NONE)
    {
      antiright_set(XmNbottomAttachment, XmATTACH_POSITION);
      antiright_set(XmNbottomPosition, bottom);
    }
  else
    {
      antiright_set(XmNbottomAttachment, XmATTACH_NONE);
    }
  
  if(top != ANTIRIGHT_NONE)
    {
      antiright_set(XmNtopAttachment, XmATTACH_POSITION);
      antiright_set(XmNtopPosition, top);
    }
  else
    {
      antiright_set(XmNtopAttachment, XmATTACH_NONE);
    }
}

void
antiright_reset_form_positions(Widget widget,
			       int top, int bottom,
			       int left, int right)
{
  antiright_form_positions(top, bottom, left, right);
  XtSetValues(widget, antiright_arguments, antiright_number_arguments);
}
