/*
   AntiRight
   (c) 2003-2004 Jeffrey Bedard
   jefbed@e-list.net
 
   This file is part of AntiRight.

    AntiRight is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    AntiRight is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AntiRight; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "library.h"

/* This creates an XmLabel, manages it, and returns it.  */
Widget
antiright_label(Widget parent, char *name)
{
  Widget label=XmCreateLabel(parent, name, 
			     antiright_arguments, antiright_number_arguments);
  XtManageChild(label);
  return(label);
}

void
antiright_label_set_bitmap(Widget label,
			   char icon_bits[], 
			   int width, 
			   int height)
{
  XtVaSetValues(label,
		XmNlabelType, XmPIXMAP,
		XmNlabelPixmap, XCreateBitmapFromData
		(XtDisplay(antiright_parent_widget),
		 RootWindow(XtDisplay
			    (antiright_parent_widget), 
			    DefaultScreen
			    (XtDisplay
			     (antiright_parent_widget))),
		 icon_bits,
		 width, 
		 height),
		NULL);
}

void
antiright_label_string(Widget label_widget,
		       char *label_string)
{
  XmString label_motif_string=XmStringCreateLocalized(label_string);
  XtVaSetValues(label_widget,
		XmNlabelString, label_motif_string,
		NULL);
  XmStringFree(label_motif_string);
}
